/* 
    This file is a part of the SteamWar software.
    
    Copyright (C) 2020  SteamWar.de-Serverteam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package de.steamwar.velocitycore.commands;

import com.velocitypowered.api.proxy.Player;
import de.steamwar.command.SWCommand;
import de.steamwar.messages.Chatter;
import de.steamwar.sql.UserPerm;

public class KickCommand extends SWCommand {

    public KickCommand() {
        super("kick", UserPerm.MODERATION);
    }

    @Register(description = "KICK_USAGE")
    public void genericCommand(Chatter sender, @ErrorMessage("KICK_OFFLINE") Player target, String... message) {
        if (message.length == 0) {
            Chatter.disconnect(target).system("KICK_NORMAL");
        } else {
            Chatter.disconnect(target).system("KICK_CUSTOM", String.join(" ", message));
        }
        sender.system("KICK_CONFIRM", target);
    }
}
